using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application
{
    [Table("bs_house_log")]
    [Comment("房屋流转日志")]
    public class BsHouseLog : Core.DEntityBase
    {
        [Comment("房屋编码Id")]
        [MaxLength(36)]
        public string HouseCodeId { get; set; }

        [Comment("目标处理人Id，可多个")]
        public string TargetUserIds { get; set; }

        [Comment("步骤类型")]
        public HouseLogType Type { get; set; }

        [Comment("状态")]
        public HouseLogStatus Status { get; set; }

        [Comment("备注信息")]
        public string Remark { get; set; }

        [Comment("完成时间")]
        public DateTime? FinishedTime { get; set; }

        [Comment("完成者Id")]
        [MaxLength(36)]
        public string FinishedUserId { get; set; }

        [Comment("完成者名称")]
        [MaxLength(20)]
        public string FinishedUserName { get; set; }

        [Comment("排序")]
        public int Sort { get; set; }
    }
}
